from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XMapping2D(XInterface, Protocol):
    def map(self, aPoint: RealPoint2D) -> RealPoint2D: ...
    def mapInverse(self, aPoint: RealPoint2D) -> RealPoint2D: ...
